diff --git a/doc/src/sgml/system-views.sgml b/doc/src/sgml/system-views.sgml
index 162c76b729a..080a04b753c 100644
--- a/doc/src/sgml/system-views.sgml
+++ b/doc/src/sgml/system-views.sgml
@@ -30,7 +30,7 @@
    <xref linkend="monitoring-stats-views-table"/>.
   </para>
 
- <sect1 id="views-overview">
+ <sect1 id="views-overview" xreflabel="Overview">
   <title>Overview</title>
 
   <para>
@@ -251,7 +251,7 @@
   </table>
  </sect1>
 
- <sect1 id="view-pg-aios">
+ <sect1 id="view-pg-aios" xreflabel="pg_aios">
   <title><structname>pg_aios</structname></title>
 
   <indexterm zone="view-pg-aios">
@@ -540,7 +540,7 @@
   </para>
  </sect1>
 
- <sect1 id="view-pg-available-extensions">
+ <sect1 id="view-pg-available-extensions" xreflabel="pg_available_extensions">
   <title><structname>pg_available_extensions</structname></title>
 
   <indexterm zone="view-pg-available-extensions">
@@ -616,7 +616,7 @@
   </para>
  </sect1>
 
- <sect1 id="view-pg-available-extension-versions">
+ <sect1 id="view-pg-available-extension-versions" xreflabel="pg_available_extension_versions">
   <title><structname>pg_available_extension_versions</structname></title>
 
   <indexterm zone="view-pg-available-extension-versions">
@@ -741,7 +741,7 @@
   </para>
  </sect1>
 
- <sect1 id="view-pg-backend-memory-contexts">
+ <sect1 id="view-pg-backend-memory-contexts" xreflabel="pg_backend_memory_contexts">
   <title><structname>pg_backend_memory_contexts</structname></title>
 
   <indexterm zone="view-pg-backend-memory-contexts">
@@ -901,7 +901,7 @@ AND c1.path[c2.level] = c2.path[c2.level];
   </para>
  </sect1>
 
- <sect1 id="view-pg-config">
+ <sect1 id="view-pg-config" xreflabel="pg_config">
   <title><structname>pg_config</structname></title>
 
   <indexterm zone="view-pg-config">
@@ -962,7 +962,7 @@ AND c1.path[c2.level] = c2.path[c2.level];
 
  </sect1>
 
- <sect1 id="view-pg-cursors">
+ <sect1 id="view-pg-cursors" xreflabel="pg_cursors">
   <title><structname>pg_cursors</structname></title>
 
   <indexterm zone="view-pg-cursors">
@@ -1096,7 +1096,7 @@ AND c1.path[c2.level] = c2.path[c2.level];
 
  </sect1>
 
- <sect1 id="view-pg-dsm-registry-allocations">
+ <sect1 id="view-pg-dsm-registry-allocations" xreflabel="pg_dsm_registry_allocations">
   <title><structname>pg_dsm_registry_allocations</structname></title>
 
   <indexterm zone="view-pg-dsm-registry-allocations">
@@ -1165,7 +1165,7 @@ AND c1.path[c2.level] = c2.path[c2.level];
   </para>
  </sect1>
 
- <sect1 id="view-pg-file-settings">
+ <sect1 id="view-pg-file-settings" xreflabel="pg_file_settings">
   <title><structname>pg_file_settings</structname></title>
 
   <indexterm zone="view-pg-file-settings">
@@ -1300,7 +1300,7 @@ AND c1.path[c2.level] = c2.path[c2.level];
 
 </sect1>
 
- <sect1 id="view-pg-group">
+ <sect1 id="view-pg-group" xreflabel="pg_group">
   <title><structname>pg_group</structname></title>
 
   <indexterm zone="view-pg-group">
@@ -1369,7 +1369,7 @@ AND c1.path[c2.level] = c2.path[c2.level];
 
  </sect1>
 
- <sect1 id="view-pg-hba-file-rules">
+ <sect1 id="view-pg-hba-file-rules" xreflabel="pg_hba_file_rules">
   <title><structname>pg_hba_file_rules</structname></title>
 
   <indexterm zone="view-pg-hba-file-rules">
@@ -1530,7 +1530,7 @@ AND c1.path[c2.level] = c2.path[c2.level];
   </para>
  </sect1>
 
- <sect1 id="view-pg-ident-file-mappings">
+ <sect1 id="view-pg-ident-file-mappings" xreflabel="pg_ident_file_mappings">
   <title><structname>pg_ident_file_mappings</structname></title>
 
   <indexterm zone="view-pg-ident-file-mappings">
@@ -1651,7 +1651,7 @@ AND c1.path[c2.level] = c2.path[c2.level];
   </para>
  </sect1>
 
- <sect1 id="view-pg-indexes">
+ <sect1 id="view-pg-indexes" xreflabel="pg_indexes">
   <title><structname>pg_indexes</structname></title>
 
   <indexterm zone="view-pg-indexes">
@@ -1733,7 +1733,7 @@ AND c1.path[c2.level] = c2.path[c2.level];
 
  </sect1>
 
- <sect1 id="view-pg-locks">
+ <sect1 id="view-pg-locks" xreflabel="pg_locks">
   <title><structname>pg_locks</structname></title>
 
   <indexterm zone="view-pg-locks">
@@ -2114,7 +2114,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
 
  </sect1>
 
- <sect1 id="view-pg-matviews">
+ <sect1 id="view-pg-matviews" xreflabel="pg_matviews">
   <title><structname>pg_matviews</structname></title>
 
   <indexterm zone="view-pg-matviews">
@@ -2217,7 +2217,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
 
  </sect1>
 
- <sect1 id="view-pg-policies">
+ <sect1 id="view-pg-policies" xreflabel="pg_policies">
   <title><structname>pg_policies</structname></title>
 
   <indexterm zone="view-pg-policies">
@@ -2326,7 +2326,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
 
  </sect1>
 
- <sect1 id="view-pg-prepared-statements">
+ <sect1 id="view-pg-prepared-statements" xreflabel="pg_prepared_statements">
   <title><structname>pg_prepared_statements</structname></title>
 
   <indexterm zone="view-pg-prepared-statements">
@@ -2458,7 +2458,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
   </para>
  </sect1>
 
- <sect1 id="view-pg-prepared-xacts">
+ <sect1 id="view-pg-prepared-xacts" xreflabel="pg_prepared_xacts">
   <title><structname>pg_prepared_xacts</structname></title>
 
   <indexterm zone="view-pg-prepared-xacts">
@@ -2554,7 +2554,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
 
  </sect1>
 
- <sect1 id="view-pg-publication-sequences">
+ <sect1 id="view-pg-publication-sequences" xreflabel="pg_publication_sequences">
   <title><structname>pg_publication_sequences</structname></title>
 
   <indexterm zone="view-pg-publication-sequences">
@@ -2615,7 +2615,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
   </table>
  </sect1>
 
- <sect1 id="view-pg-publication-tables">
+ <sect1 id="view-pg-publication-tables" xreflabel="pg_publication_tables">
   <title><structname>pg_publication_tables</structname></title>
 
   <indexterm zone="view-pg-publication-tables">
@@ -2703,7 +2703,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
   </table>
  </sect1>
 
-  <sect1 id="view-pg-replication-origin-status">
+  <sect1 id="view-pg-replication-origin-status" xreflabel="pg_replication_origin_status">
   <title><structname>pg_replication_origin_status</structname></title>
 
   <indexterm zone="view-pg-replication-origin-status">
@@ -2776,7 +2776,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
   </table>
  </sect1>
 
- <sect1 id="view-pg-replication-slots">
+ <sect1 id="view-pg-replication-slots" xreflabel="pg_replication_slots">
   <title><structname>pg_replication_slots</structname></title>
 
   <indexterm zone="view-pg-replication-slots">
@@ -3150,7 +3150,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
   </table>
  </sect1>
 
- <sect1 id="view-pg-roles">
+ <sect1 id="view-pg-roles" xreflabel="pg_roles">
   <title><structname>pg_roles</structname></title>
 
   <indexterm zone="view-pg-roles">
@@ -3309,7 +3309,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
 
  </sect1>
 
- <sect1 id="view-pg-rules">
+ <sect1 id="view-pg-rules" xreflabel="pg_rules">
   <title><structname>pg_rules</structname></title>
 
   <indexterm zone="view-pg-rules">
@@ -3386,7 +3386,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
 
  </sect1>
 
- <sect1 id="view-pg-seclabels">
+ <sect1 id="view-pg-seclabels" xreflabel="pg_seclabels">
   <title><structname>pg_seclabels</structname></title>
 
   <indexterm zone="view-pg-seclabels">
@@ -3499,7 +3499,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
   </table>
  </sect1>
 
- <sect1 id="view-pg-sequences">
+ <sect1 id="view-pg-sequences" xreflabel="pg_sequences">
   <title><structname>pg_sequences</structname></title>
 
   <indexterm zone="view-pg-sequences">
@@ -3659,7 +3659,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
 
  </sect1>
 
- <sect1 id="view-pg-settings">
+ <sect1 id="view-pg-settings" xreflabel="pg_settings">
   <title><structname>pg_settings</structname></title>
 
   <indexterm zone="view-pg-settings">
@@ -4010,7 +4010,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
 
  </sect1>
 
- <sect1 id="view-pg-shadow">
+ <sect1 id="view-pg-shadow" xreflabel="pg_shadow">
   <title><structname>pg_shadow</structname></title>
 
   <indexterm zone="view-pg-shadow">
@@ -4141,7 +4141,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
 
  </sect1>
 
- <sect1 id="view-pg-shmem-allocations">
+ <sect1 id="view-pg-shmem-allocations" xreflabel="pg_shmem_allocations">
   <title><structname>pg_shmem_allocations</structname></title>
 
   <indexterm zone="view-pg-shmem-allocations">
@@ -4236,7 +4236,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
   </para>
  </sect1>
 
- <sect1 id="view-pg-shmem-allocations-numa">
+ <sect1 id="view-pg-shmem-allocations-numa" xreflabel="pg_shmem_allocations_numa">
   <title><structname>pg_shmem_allocations_numa</structname></title>
 
   <indexterm zone="view-pg-shmem-allocations-numa">
@@ -4326,7 +4326,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
   </para>
  </sect1>
 
- <sect1 id="view-pg-stats">
+ <sect1 id="view-pg-stats" xreflabel="pg_stats">
   <title><structname>pg_stats</structname></title>
 
   <indexterm zone="view-pg-stats">
@@ -4576,7 +4576,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
 
  </sect1>
 
- <sect1 id="view-pg-stats-ext">
+ <sect1 id="view-pg-stats-ext" xreflabel="pg_stats_ext">
   <title><structname>pg_stats_ext</structname></title>
 
   <indexterm zone="view-pg-stats-ext">
@@ -4787,7 +4787,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
 
  </sect1>
 
- <sect1 id="view-pg-stats-ext-exprs">
+ <sect1 id="view-pg-stats-ext-exprs" xreflabel="pg_stats_ext_exprs">
   <title><structname>pg_stats_ext_exprs</structname></title>
 
   <indexterm zone="view-pg-stats-ext-exprs">
@@ -5029,7 +5029,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
 
  </sect1>
 
- <sect1 id="view-pg-tables">
+ <sect1 id="view-pg-tables" xreflabel="pg_tables">
   <title><structname>pg_tables</structname></title>
 
   <indexterm zone="view-pg-tables">
@@ -5141,7 +5141,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
 
  </sect1>
 
- <sect1 id="view-pg-timezone-abbrevs">
+ <sect1 id="view-pg-timezone-abbrevs" xreflabel="pg_timezone_abbrevs">
   <title><structname>pg_timezone_abbrevs</structname></title>
 
   <indexterm zone="view-pg-timezone-abbrevs">
@@ -5211,7 +5211,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
 
  </sect1>
 
- <sect1 id="view-pg-timezone-names">
+ <sect1 id="view-pg-timezone-names" xreflabel="pg_timezone_names">
   <title><structname>pg_timezone_names</structname></title>
 
   <indexterm zone="view-pg-timezone-names">
@@ -5288,7 +5288,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
 
  </sect1>
 
- <sect1 id="view-pg-user">
+ <sect1 id="view-pg-user" xreflabel="pg_user">
   <title><structname>pg_user</structname></title>
 
   <indexterm zone="view-pg-user">
@@ -5406,7 +5406,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
 
  </sect1>
 
- <sect1 id="view-pg-user-mappings">
+ <sect1 id="view-pg-user-mappings" xreflabel="pg_user_mappings">
   <title><structname>pg_user_mappings</structname></title>
 
   <indexterm zone="view-pg-user-mappings">
@@ -5525,7 +5525,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
  </sect1>
 
 
- <sect1 id="view-pg-views">
+ <sect1 id="view-pg-views" xreflabel="pg_views">
   <title><structname>pg_views</structname></title>
 
   <indexterm zone="view-pg-views">
@@ -5596,7 +5596,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
  </sect1>
 
 
- <sect1 id="view-pg-wait-events">
+ <sect1 id="view-pg-wait-events" xreflabel="pg_wait_events">
   <title><structname>pg_wait_events</structname></title>
 
   <indexterm zone="view-pg-wait-events">
diff --git a/doc/src/sgml/tablefunc.sgml b/doc/src/sgml/tablefunc.sgml
index 69cafa00ad6..0131b355ac8 100644
--- a/doc/src/sgml/tablefunc.sgml
+++ b/doc/src/sgml/tablefunc.sgml
@@ -20,7 +20,7 @@
   on the current database.
  </para>
 
- <sect2 id="tablefunc-functions-sect">
+ <sect2 id="tablefunc-functions-sect" xreflabel="Functions Provided">
   <title>Functions Provided</title>
 
   <para>
@@ -119,7 +119,7 @@
     </tgroup>
   </table>
 
-  <sect3 id="tablefunc-functions-normal-rand">
+  <sect3 id="tablefunc-functions-normal-rand" xreflabel="normal_rand">
    <title><function>normal_rand</function></title>
 
    <indexterm>
@@ -166,7 +166,7 @@ test=# SELECT * FROM normal_rand(1000, 5, 3);
 </screen>
   </sect3>
 
-  <sect3 id="tablefunc-functions-crosstab-text">
+  <sect3 id="tablefunc-functions-crosstab-text" xreflabel="crosstab(text)">
    <title><function>crosstab(text)</function></title>
 
    <indexterm>
@@ -325,7 +325,7 @@ AS ct(row_name text, category_1 text, category_2 text, category_3 text);
 
   </sect3>
 
-  <sect3 id="tablefunc-functions-crosstab-n-text">
+  <sect3 id="tablefunc-functions-crosstab-n-text" xreflabel="crosstab N (text)">
    <title><function>crosstab<replaceable>N</replaceable>(text)</function></title>
 
    <indexterm>
@@ -436,7 +436,7 @@ CREATE OR REPLACE FUNCTION crosstab_float8_5_cols(
 
   </sect3>
 
-  <sect3 id="tablefunc-functions-crosstab-text-2">
+  <sect3 id="tablefunc-functions-crosstab-text-2" xreflabel="crosstab(text, text)">
    <title><function>crosstab(text, text)</function></title>
 
    <indexterm>
@@ -646,7 +646,7 @@ AS
 
   </sect3>
 
-  <sect3 id="tablefunc-functions-connectby">
+  <sect3 id="tablefunc-functions-connectby" xreflabel="connectby">
    <title><function>connectby</function></title>
 
    <indexterm>
@@ -853,7 +853,7 @@ SELECT * FROM connectby('connectby_tree', 'keyid', 'parent_keyid', 'pos', 'row2'
 
  </sect2>
 
- <sect2 id="tablefunc-author">
+ <sect2 id="tablefunc-author" xreflabel="Author">
   <title>Author</title>
 
   <para>
diff --git a/doc/src/sgml/tablesample-method.sgml b/doc/src/sgml/tablesample-method.sgml
index c821941b71b..f59d7a21129 100644
--- a/doc/src/sgml/tablesample-method.sgml
+++ b/doc/src/sgml/tablesample-method.sgml
@@ -99,7 +99,7 @@ method_name(internal) RETURNS tsm_handler
   subdirectory for add-on methods.
  </para>
 
- <sect1 id="tablesample-support-functions">
+ <sect1 id="tablesample-support-functions" xreflabel="Sampling Method Support Functions">
   <title>Sampling Method Support Functions</title>
 
   <para>
diff --git a/doc/src/sgml/textsearch.sgml b/doc/src/sgml/textsearch.sgml
index d20484cb232..5674d86e7f2 100644
--- a/doc/src/sgml/textsearch.sgml
+++ b/doc/src/sgml/textsearch.sgml
@@ -11,7 +11,7 @@
    <primary>text search</primary>
   </indexterm>
 
- <sect1 id="textsearch-intro">
+ <sect1 id="textsearch-intro" xreflabel="Introduction">
   <title>Introduction</title>
 
   <para>
@@ -169,7 +169,7 @@
   </para>
 
 
-  <sect2 id="textsearch-document">
+  <sect2 id="textsearch-document" xreflabel="What Is a Document?">
    <title>What Is a Document?</title>
 
    <indexterm zone="textsearch-document">
@@ -236,7 +236,7 @@ WHERE m.mid = d.did AND m.mid = 12;
    </para>
   </sect2>
 
-  <sect2 id="textsearch-matching">
+  <sect2 id="textsearch-matching" xreflabel="Basic Text Matching">
    <title>Basic Text Matching</title>
 
    <para>
@@ -403,7 +403,7 @@ SELECT phraseto_tsquery('the cats ate the rats');
    </para>
   </sect2>
 
-  <sect2 id="textsearch-intro-configurations">
+  <sect2 id="textsearch-intro-configurations" xreflabel="Configurations">
    <title>Configurations</title>
 
    <para>
@@ -490,7 +490,7 @@ SELECT phraseto_tsquery('the cats ate the rats');
 
  </sect1>
 
- <sect1 id="textsearch-tables">
+ <sect1 id="textsearch-tables" xreflabel="Tables and Indexes">
   <title>Tables and Indexes</title>
 
   <para>
@@ -499,7 +499,7 @@ SELECT phraseto_tsquery('the cats ate the rats');
    optionally using indexes.
   </para>
 
-  <sect2 id="textsearch-tables-search">
+  <sect2 id="textsearch-tables-search" xreflabel="Searching a Table">
    <title>Searching a Table</title>
 
    <para>
@@ -560,7 +560,7 @@ LIMIT 10;
 
   </sect2>
 
-  <sect2 id="textsearch-tables-index">
+  <sect2 id="textsearch-tables-index" xreflabel="Creating Indexes">
    <title>Creating Indexes</title>
 
    <para>
@@ -668,7 +668,7 @@ LIMIT 10;
 
  </sect1>
 
- <sect1 id="textsearch-controls">
+ <sect1 id="textsearch-controls" xreflabel="Controlling Text Search">
   <title>Controlling Text Search</title>
 
   <para>
@@ -681,7 +681,7 @@ LIMIT 10;
    functions.
   </para>
 
-  <sect2 id="textsearch-parsing-documents">
+  <sect2 id="textsearch-parsing-documents" xreflabel="Parsing Documents">
    <title>Parsing Documents</title>
 
    <para>
@@ -785,7 +785,7 @@ UPDATE tt SET ti =
 
   </sect2>
 
-  <sect2 id="textsearch-parsing-queries">
+  <sect2 id="textsearch-parsing-queries" xreflabel="Parsing Queries">
    <title>Parsing Queries</title>
 
    <para>
@@ -1046,7 +1046,7 @@ SELECT websearch_to_tsquery('english', '""" )( dummy \\ query &lt;-&gt;');
     </para>
   </sect2>
 
-  <sect2 id="textsearch-ranking">
+  <sect2 id="textsearch-ranking" xreflabel="Ranking Search Results">
    <title>Ranking Search Results</title>
 
    <para>
@@ -1265,7 +1265,7 @@ LIMIT 10;
 
   </sect2>
 
-  <sect2 id="textsearch-headline">
+  <sect2 id="textsearch-headline" xreflabel="Highlighting Results">
    <title>Highlighting Results</title>
 
    <para>
@@ -1432,7 +1432,7 @@ occurrences to display in the result.',
 
  </sect1>
 
- <sect1 id="textsearch-features">
+ <sect1 id="textsearch-features" xreflabel="Additional Features">
   <title>Additional Features</title>
 
   <para>
@@ -1440,7 +1440,7 @@ occurrences to display in the result.',
    useful in connection with text search.
   </para>
 
-  <sect2 id="textsearch-manipulate-tsvector">
+  <sect2 id="textsearch-manipulate-tsvector" xreflabel="Manipulating Documents">
    <title>Manipulating Documents</title>
 
    <para>
@@ -1571,7 +1571,7 @@ occurrences to display in the result.',
 
   </sect2>
 
-  <sect2 id="textsearch-manipulate-tsquery">
+  <sect2 id="textsearch-manipulate-tsquery" xreflabel="Manipulating Queries">
    <title>Manipulating Queries</title>
 
    <para>
@@ -1747,7 +1747,7 @@ SELECT querytree(to_tsquery('!defined'));
 
    </variablelist>
 
-   <sect3 id="textsearch-query-rewriting">
+   <sect3 id="textsearch-query-rewriting" xreflabel="Query Rewriting">
     <title>Query Rewriting</title>
 
     <indexterm zone="textsearch-query-rewriting">
@@ -1884,7 +1884,7 @@ SELECT ts_rewrite('a &amp; b'::tsquery,
 
   </sect2>
 
-  <sect2 id="textsearch-update-triggers">
+  <sect2 id="textsearch-update-triggers" xreflabel="Triggers for Automatic Updates">
    <title>Triggers for Automatic Updates</title>
 
    <indexterm>
@@ -1997,7 +1997,7 @@ CREATE TRIGGER tsvectorupdate BEFORE INSERT OR UPDATE
 
   </sect2>
 
-  <sect2 id="textsearch-statistics">
+  <sect2 id="textsearch-statistics" xreflabel="Gathering Document Statistics">
    <title>Gathering Document Statistics</title>
 
    <indexterm>
@@ -2069,7 +2069,7 @@ LIMIT 10;
 
  </sect1>
 
- <sect1 id="textsearch-parsers">
+ <sect1 id="textsearch-parsers" xreflabel="Parsers">
   <title>Parsers</title>
 
   <para>
@@ -2288,7 +2288,7 @@ SELECT alias, description, token FROM ts_debug('http://example.com/stuff/index.h
 
  </sect1>
 
- <sect1 id="textsearch-dictionaries">
+ <sect1 id="textsearch-dictionaries" xreflabel="Dictionaries">
   <title>Dictionaries</title>
 
   <para>
@@ -2437,7 +2437,7 @@ ALTER TEXT SEARCH CONFIGURATION astro_en
    letters, as is done by the <xref linkend="unaccent"/> module.
   </para>
 
-  <sect2 id="textsearch-stopwords">
+  <sect2 id="textsearch-stopwords" xreflabel="Stop Words">
    <title>Stop Words</title>
 
    <para>
@@ -2482,7 +2482,7 @@ SELECT ts_rank_cd (to_tsvector('english', 'list stop words'), to_tsquery('list &
 
   </sect2>
 
-  <sect2 id="textsearch-simple-dictionary">
+  <sect2 id="textsearch-simple-dictionary" xreflabel="Simple Dictionary">
    <title>Simple Dictionary</title>
 
    <para>
@@ -2586,7 +2586,7 @@ SELECT ts_lexize('public.simple_dict', 'The');
 
   </sect2>
 
-  <sect2 id="textsearch-synonym-dictionary">
+  <sect2 id="textsearch-synonym-dictionary" xreflabel="Synonym Dictionary">
    <title>Synonym Dictionary</title>
 
    <para>
@@ -2698,7 +2698,7 @@ mydb=# SELECT 'indexes are very useful'::tsvector @@ to_tsquery('tst', 'indices'
    </para>
   </sect2>
 
-  <sect2 id="textsearch-thesaurus">
+  <sect2 id="textsearch-thesaurus" xreflabel="Thesaurus Dictionary">
    <title>Thesaurus Dictionary</title>
 
    <para>
@@ -2780,7 +2780,7 @@ more sample word(s) : more indexed word(s)
     </para>
    </caution>
 
-  <sect3 id="textsearch-thesaurus-config">
+  <sect3 id="textsearch-thesaurus-config" xreflabel="Thesaurus Configuration">
    <title>Thesaurus Configuration</title>
 
    <para>
@@ -2833,7 +2833,7 @@ ALTER TEXT SEARCH CONFIGURATION russian
 
   </sect3>
 
-  <sect3 id="textsearch-thesaurus-examples">
+  <sect3 id="textsearch-thesaurus-examples" xreflabel="Thesaurus Example">
    <title>Thesaurus Example</title>
 
    <para>
@@ -2912,7 +2912,7 @@ SELECT plainto_tsquery('supernova star');
 
   </sect2>
 
-  <sect2 id="textsearch-ispell-dictionary">
+  <sect2 id="textsearch-ispell-dictionary" xreflabel="Ispell Dictionary">
    <title><application>Ispell</application> Dictionary</title>
 
    <para>
@@ -3130,7 +3130,7 @@ largehearted
 
   </sect2>
 
-  <sect2 id="textsearch-snowball-dictionary">
+  <sect2 id="textsearch-snowball-dictionary" xreflabel="Snowball Dictionary">
    <title><application>Snowball</application> Dictionary</title>
 
    <para>
@@ -3170,7 +3170,7 @@ CREATE TEXT SEARCH DICTIONARY english_stem (
 
  </sect1>
 
- <sect1 id="textsearch-configuration">
+ <sect1 id="textsearch-configuration" xreflabel="Configuration Example">
   <title>Configuration Example</title>
 
    <para>
@@ -3293,7 +3293,7 @@ SHOW default_text_search_config;
 
  </sect1>
 
- <sect1 id="textsearch-debugging">
+ <sect1 id="textsearch-debugging" xreflabel="Testing and Debugging Text Search">
   <title>Testing and Debugging Text Search</title>
 
   <para>
@@ -3303,7 +3303,7 @@ SHOW default_text_search_config;
    test a complete configuration, or test parsers and dictionaries separately.
   </para>
 
-  <sect2 id="textsearch-configuration-testing">
+  <sect2 id="textsearch-configuration-testing" xreflabel="Configuration Testing">
    <title>Configuration Testing</title>
 
   <para>
@@ -3487,7 +3487,7 @@ FROM ts_debug('public.english', 'The Brightest supernovaes');
 
   </sect2>
 
-  <sect2 id="textsearch-parser-testing">
+  <sect2 id="textsearch-parser-testing" xreflabel="Parser Testing">
    <title>Parser Testing</title>
 
   <para>
@@ -3576,7 +3576,7 @@ SELECT * FROM ts_token_type('default');
 
   </sect2>
 
-  <sect2 id="textsearch-dictionary-testing">
+  <sect2 id="textsearch-dictionary-testing" xreflabel="Dictionary Testing">
    <title>Dictionary Testing</title>
 
    <para>
@@ -3647,7 +3647,7 @@ SELECT plainto_tsquery('supernovae stars');
 
  </sect1>
 
- <sect1 id="textsearch-indexes">
+ <sect1 id="textsearch-indexes" xreflabel="Preferred Index Types for Text Search">
   <title>Preferred Index Types for Text Search</title>
 
   <indexterm zone="textsearch-indexes">
@@ -3780,7 +3780,7 @@ SELECT plainto_tsquery('supernovae stars');
 
  </sect1>
 
- <sect1 id="textsearch-psql">
+ <sect1 id="textsearch-psql" xreflabel="psql Support">
   <title><application>psql</application> Support</title>
 
   <para>
@@ -3983,7 +3983,7 @@ Parser: "pg_catalog.default"
 
  </sect1>
 
- <sect1 id="textsearch-limitations">
+ <sect1 id="textsearch-limitations" xreflabel="Limitations">
   <title>Limitations</title>
 
   <para>
diff --git a/doc/src/sgml/trigger.sgml b/doc/src/sgml/trigger.sgml
index 0062f1a3fd1..140cb334884 100644
--- a/doc/src/sgml/trigger.sgml
+++ b/doc/src/sgml/trigger.sgml
@@ -27,7 +27,7 @@
    plain SQL function language.
   </para>
 
-  <sect1 id="trigger-definition">
+  <sect1 id="trigger-definition" xreflabel="Overview of Trigger Behavior">
    <title>Overview of Trigger Behavior</title>
 
    <para>
@@ -422,7 +422,7 @@
 
   </sect1>
 
-  <sect1 id="trigger-datachanges">
+  <sect1 id="trigger-datachanges" xreflabel="Visibility of Data Changes">
    <title>Visibility of Data Changes</title>
 
    <para>
@@ -498,7 +498,7 @@
    </para>
   </sect1>
 
-  <sect1 id="trigger-interface">
+  <sect1 id="trigger-interface" xreflabel="Writing Trigger Functions in C">
    <title>Writing Trigger Functions in C</title>
 
    <indexterm zone="trigger-interface">
@@ -850,7 +850,7 @@ typedef struct Trigger
    </para>
   </sect1>
 
-  <sect1 id="trigger-example">
+  <sect1 id="trigger-example" xreflabel="A Complete Trigger Example">
    <title>A Complete Trigger Example</title>
 
    <para>
diff --git a/doc/src/sgml/tsm-system-rows.sgml b/doc/src/sgml/tsm-system-rows.sgml
index e3fb4d15dd5..daff9cd2f4a 100644
--- a/doc/src/sgml/tsm-system-rows.sgml
+++ b/doc/src/sgml/tsm-system-rows.sgml
@@ -40,7 +40,7 @@
   on the current database.
  </para>
 
- <sect2 id="tsm-system-rows-examples">
+ <sect2 id="tsm-system-rows-examples" xreflabel="Examples">
   <title>Examples</title>
 
   <para>
diff --git a/doc/src/sgml/tsm-system-time.sgml b/doc/src/sgml/tsm-system-time.sgml
index 05c6be0caca..3dfa3e2001f 100644
--- a/doc/src/sgml/tsm-system-time.sgml
+++ b/doc/src/sgml/tsm-system-time.sgml
@@ -42,7 +42,7 @@
   on the current database.
  </para>
 
- <sect2 id="tsm-system-time-examples">
+ <sect2 id="tsm-system-time-examples" xreflabel="Examples">
   <title>Examples</title>
 
   <para>
diff --git a/doc/src/sgml/typeconv.sgml b/doc/src/sgml/typeconv.sgml
index 96aa02e4fab..94b8857e5db 100644
--- a/doc/src/sgml/typeconv.sgml
+++ b/doc/src/sgml/typeconv.sgml
@@ -31,7 +31,7 @@ for more information on specific data types and allowed functions and
 operators.
 </para>
 
-<sect1 id="typeconv-overview">
+<sect1 id="typeconv-overview" xreflabel="Overview">
 <title>Overview</title>
 
 <para>
@@ -201,7 +201,7 @@ should use this new function and no longer do implicit conversion to use the old
 
 </sect1>
 
-<sect1 id="typeconv-oper">
+<sect1 id="typeconv-oper" xreflabel="Operators">
 <title>Operators</title>
 
 <indexterm zone="typeconv-oper">
@@ -555,7 +555,7 @@ usable in all the same cases as a similarly-named operator on the base type.
 
 </sect1>
 
-<sect1 id="typeconv-func">
+<sect1 id="typeconv-func" xreflabel="Functions">
 <title>Functions</title>
 
 <indexterm zone="typeconv-func">
@@ -920,7 +920,7 @@ SELECT substr(CAST (1234 AS text), 3);
 
 </sect1>
 
-<sect1 id="typeconv-query">
+<sect1 id="typeconv-query" xreflabel="Value Storage">
 <title>Value Storage</title>
 
   <para>
@@ -1004,7 +1004,7 @@ padding spaces.
 </example>
 </sect1>
 
-<sect1 id="typeconv-union-case">
+<sect1 id="typeconv-union-case" xreflabel="UNION, CASE, and Related Constructs">
 <title><literal>UNION</literal>, <literal>CASE</literal>, and Related Constructs</title>
 
 <indexterm zone="typeconv-union-case">
@@ -1212,7 +1212,7 @@ section consider all of their inputs in one resolution step.
 </example>
 </sect1>
 
-<sect1 id="typeconv-select">
+<sect1 id="typeconv-select" xreflabel="SELECT Output Columns">
 <title><literal>SELECT</literal> Output Columns</title>
 
 <indexterm zone="typeconv-select">
diff --git a/doc/src/sgml/unaccent.sgml b/doc/src/sgml/unaccent.sgml
index 744821ca997..ea275a98677 100644
--- a/doc/src/sgml/unaccent.sgml
+++ b/doc/src/sgml/unaccent.sgml
@@ -27,7 +27,7 @@
   on the current database.
  </para>
 
- <sect2 id="unaccent-configuration">
+ <sect2 id="unaccent-configuration" xreflabel="Configuration">
   <title>Configuration</title>
 
   <para>
@@ -123,7 +123,7 @@
   </para>
  </sect2>
 
- <sect2 id="unaccent-usage">
+ <sect2 id="unaccent-usage" xreflabel="Usage">
   <title>Usage</title>
 
   <para>
@@ -181,7 +181,7 @@ mydb=# SELECT ts_headline('fr', 'H&ocirc;tel de la Mer', to_tsquery('fr', 'Hotel
   </para>
  </sect2>
 
- <sect2 id="unaccent-functions">
+ <sect2 id="unaccent-functions" xreflabel="Functions">
  <title>Functions</title>
 
  <para>
diff --git a/doc/src/sgml/user-manag.sgml b/doc/src/sgml/user-manag.sgml
index ed18704a9c2..b50b89bbf8e 100644
--- a/doc/src/sgml/user-manag.sgml
+++ b/doc/src/sgml/user-manag.sgml
@@ -27,7 +27,7 @@
   database objects can be found in <xref linkend="ddl-priv"/>.
  </para>
 
- <sect1 id="database-roles">
+ <sect1 id="database-roles" xreflabel="Database Roles">
   <title>Database Roles</title>
 
   <indexterm zone="database-roles">
@@ -140,7 +140,7 @@ SELECT rolname FROM pg_roles WHERE rolcanlogin;
   </para>
  </sect1>
 
- <sect1 id="role-attributes">
+ <sect1 id="role-attributes" xreflabel="Role Attributes">
   <title>Role Attributes</title>
 
    <para>
@@ -359,7 +359,7 @@ ALTER ROLE myname SET enable_indexscan TO off;
   </para>
  </sect1>
 
- <sect1 id="role-membership">
+ <sect1 id="role-membership" xreflabel="Role Membership">
   <title>Role Membership</title>
 
   <indexterm zone="role-membership">
@@ -506,7 +506,7 @@ DROP ROLE <replaceable>name</replaceable>;
   </para>
  </sect1>
 
- <sect1 id="role-removal">
+ <sect1 id="role-removal" xreflabel="Dropping Roles">
   <title>Dropping Roles</title>
 
   <para>
@@ -577,7 +577,7 @@ DROP ROLE doomed_role;
   </para>
  </sect1>
 
- <sect1 id="predefined-roles">
+ <sect1 id="predefined-roles" xreflabel="Predefined Roles">
   <title>Predefined Roles</title>
 
   <indexterm zone="predefined-roles">
@@ -800,7 +800,7 @@ GRANT pg_signal_backend TO admin_user;
 
  </sect1>
 
- <sect1 id="perm-functions">
+ <sect1 id="perm-functions" xreflabel="Function Security">
   <title>Function Security</title>
 
   <para>
diff --git a/doc/src/sgml/uuid-ossp.sgml b/doc/src/sgml/uuid-ossp.sgml
index acd20a51f01..3026b4b6684 100644
--- a/doc/src/sgml/uuid-ossp.sgml
+++ b/doc/src/sgml/uuid-ossp.sgml
@@ -22,7 +22,7 @@
   on the current database.
  </para>
 
- <sect2 id="uuid-ossp-functions-sect">
+ <sect2 id="uuid-ossp-functions-sect" xreflabel="uuid-ossp Functions">
   <title><literal>uuid-ossp</literal> Functions</title>
 
   <para>
@@ -205,7 +205,7 @@ SELECT uuid_generate_v3(uuid_ns_url(), 'http://www.postgresql.org');
   </table>
  </sect2>
 
- <sect2 id="uuid-ossp-building">
+ <sect2 id="uuid-ossp-building" xreflabel="Building uuid-ossp">
   <title>Building <filename>uuid-ossp</filename></title>
 
   <para>
@@ -230,7 +230,7 @@ SELECT uuid_generate_v3(uuid_ns_url(), 'http://www.postgresql.org');
   </para>
  </sect2>
 
- <sect2 id="uuid-ossp-author">
+ <sect2 id="uuid-ossp-author" xreflabel="Author">
   <title>Author</title>
 
   <para>
